1. API reference
  2. Locations

Get a location

GEThttps://howdybell.com/api/v1/locations/{id}

Retrieves the details of a specific location by its ID. Returns a 404 error if the location does not exist in your workspace or if your API key is locked to a different location.

Parameters

  • idintegerRequiredpath

Responses

200

  • idinteger
  • namestring
  • address1string, nullable
  • citystring, nullable
  • statestring, nullable
  • zipstring, nullable
  • phone_publicstring, nullable
  • timezonestring
  • websitestring, nullable

404 Not found

  • messagestring

    Error overview.

RequestcURL
curl -X GET "https://howdybell.com/api/v1/locations/123" \
  -H "Authorization: Bearer $HOWDYBELL_TOKEN" \
  -H "Accept: application/json" \
Response200
{
  "id": 1,
  "name": "Victoria Cycle Works",
  "address1": "2400 N Navarro St",
  "city": "Victoria",
  "state": "TX",
  "zip": "77901",
  "phone_public": "+15125550100",
  "timezone": "America/Chicago",
  "website": null
}
Get a location (GET /api/v1/locations/{id}) | HowdyBell Developers